%define anolis_release 1
%global pypi_name astor
%global pypi_version 0.8.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Read/rewrite/write Python ASTs

License:        BSD-3-Clause
URL:            https://github.com/berkerpeksag/astor
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The astor package provides developers with a powerful Python library for manipulating 
Python source code through its Abstract Syntax Tree (AST). While similar libraries exist, 
astor stands out by focusing on key areas that enhance developer experience and code 
manipulation capabilities.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The astor package provides developers with a powerful Python library for manipulating 
Python source code through its Abstract Syntax Tree (AST). While similar libraries exist, 
astor stands out by focusing on key areas that enhance developer experience and code 
manipulation capabilities.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.8.1-1
- Initial package.